%lib_package faac 0

Summary: Freeware Advanced Audio Coder
Name: faac
Version: 1.28
Release: 6%{?dist}
License: LGPL
Group: Applications/Multimedia
URL: http://www.audiocoding.com/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0: faac-1.28-excessivedefines.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: autoconf, automake, libtool
BuildRequires: gcc-c++
BuildRequires: dos2unix
%lib_dependencies
Obsoletes: libmp4v2_0

%description
The ISO/MPEG 2/4 AAC Encoder Library provides a high-level interface
for encodin g MPEG2 and MPEG4 ISO AAC files.

%prep
%setup -q
%patch0 -p1 -b .excessivedefines
dos2unix bootstrap configure.in

%build
sh -x ./bootstrap
%configure --disable-static --with-mp4v2
make


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO docs/*
%{_bindir}/faac
%{_mandir}/man1/faac.1*

%changelog
* Sun Mar  1 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.28-4
- Update to 1.28.

* Sun Feb 17 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.26-3
- Update to 1.26.

* Fri Feb 23 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.25-2
- Get package-w-o-upstream out of the way.

* Sun Mar 12 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

